import { DataSourceOptions } from "typeorm";
import { ConfigModule, ConfigService } from "@nestjs/config";
export declare function getDatabaseProviders(host: string, port: string, username: string, password: string, database: string, any?: Record<string, any>): DataSourceOptions;
export declare const dbProvider: {
    import: (typeof ConfigModule)[];
    inject: (typeof ConfigService)[];
    useFactory: (configService: ConfigService) => Promise<DataSourceOptions>;
};
